---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      prometheus.io/scheme: https
      prometheus.io/scrape: "true"
      service.alpha.openshift.io/serving-cert-secret-name: serving-cert
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1590502657
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1590502657
    creationTimestamp: "2020-05-26T14:17:37Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:prometheus.io/scheme: {}
            f:prometheus.io/scrape: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:kube-controller-manager: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-kube-controller-manager-operator
      operation: Update
      time: "2020-05-26T14:17:37Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2020-05-26T14:17:54Z"
    name: kube-controller-manager
    namespace: openshift-kube-controller-manager
    resourceVersion: "4890"
    selfLink: /api/v1/namespaces/openshift-kube-controller-manager/services/kube-controller-manager
    uid: f6ef561b-0942-4ca8-a8f8-035459959ff5
  spec:
    clusterIP: 172.30.174.79
    ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: 10257
    selector:
      kube-controller-manager: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "53800"
  selfLink: /api/v1/namespaces/openshift-kube-controller-manager/services
